import express from 'express';
import { adminLogin, memberLogin, customerLogin, forgotPassword, verifyOtp, resetPassword, changePassword } from '../controllers/authController.js';
import { authenticateToken } from '../middleware/auth.js';
const router = express.Router();

router.post('/admin/login', adminLogin);
router.post('/member/login', memberLogin);
router.post('/customer/login', customerLogin);

// router.post('/admin/login-as-member/:memberId', authenticateToken, adminLoginAsMember);

router.post('/forgot-password', forgotPassword);
router.post('/verify-otp',      verifyOtp);
router.post('/reset-password',  resetPassword);
router.post("/change-password", authenticateToken, changePassword);

export default router;
